Skip to navigation

✨ Get state backfill status

Retrieve the status of a state backfill job for the authenticated user’s active organization. By default returns the aggregated org status, or specify job_id or project_id to get explicit job statuses. Shows progress, completion time, and any errors. Requires administrator or owner role and state management access.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Query parameters

job_idintegerOptional
Optional job ID to retrieve specific job status
project_idintegerOptional
Optional project ID to retrieve the latest job status for a project. If omitted, returns aggregated org status.

Response

completed_atdatetime or nullOptional
created_atdatetime or nullOptional
error_messagestring or nullOptional
job_idintegerOptional

Job ID (if fetching a specific job)

org_statusobjectOptional
Aggregated organization status
progressobjectOptional
rq_job_idstring or nullOptional
rq_job_infomap from strings to any or nullOptional
started_atdatetime or nullOptional
statusstringOptional
triggered_byobjectOptional

Errors

403
Forbidden Error
404
Not Found Error